<?php
   	 require("../clases/cabevaluacion.class.php");
	 require("../clases/evaluacion.class.php");
	 require("../clases/pregunta.class.php");
	     $ven=new cabevaluacion();
		 $objdet = new evaluacion();
		 $objprod = new pregunta();	
		 
         $para=$_REQUEST['txtpara'];
	     $det = $_REQUEST['PAG'];		 
	 ////////////////////////////////// 	
     if($para=="R")
	   {    	
	   				$cod=$ven->Correlativo();
					$iddoc_curso=$_REQUEST['iddoc_curso'];
					$titulo=$_REQUEST['titulo'];				
	       		    $tiempo=$_REQUEST['tiempo'];
					$activo=$_REQUEST['activo'];
					//echo $cod." ".$iddoc_curso." ".$titulo." ".$tiempo." ".$activo;
					$iddoc=$_REQUEST['iddoc'];
			
	       if($ven->Crear($cod,$iddoc_curso,$titulo,$tiempo,$activo))
			{                
			  echo "<script languaje=javascript>\n"; 
	 		  echo "location.href ='../frmevaluacion.php?id=$cod';";					
			  //echo "location.href ='../mancabexamen.php?id=$iddoc';";					
	 		  echo "</script>"; 					
		    }else{ echo " <script languaje=javascript> alert('No se pudo guardar'); </script>";}//*/
       }  
///elimianr cabecera de examenes//////	   
if($para=="e"){
    $idcab = $_REQUEST['id'];  
   $iddoc = $_REQUEST['iddocente'];
   if($ven->Eliminar($idcab)){ 
      if($objdet->Eliminartodo($idcab)) { 
        echo "<script languaje=javascript>\n"; 
	 	echo "location.href ='../mancabexamen.php?id=$iddoc';";					
	 	echo "</script>"; 	
	  }else{ echo "no se puede eliminar las preguntas";}	
   }
   else
   {
    echo "no pasa nada";
	}
}	
	////////////////guardamos detalle///////////////77
	 if($det=="G")
	   {    
	   		$coding = $_REQUEST['CODINGRESO'];
			////////DATOS PARA DETALLE //////
	   		$codart = $_REQUEST['CODPREG'];			
		//echo $coding." Prod:".$codart." Can:".$cant." Pre:".$precio." Dsc:".$dscto;
		
		  if($objdet->Crear($coding,$codart))
			 { 
			   	
					echo "<script languaje=javascript>\n"; 
	 				 echo "location.href ='../frmevaluacion.php?id=$coding';";					
	 				 echo "</script>";							   
						   
			 }
		}
		
if($para=="A")
{      $iddoc = $_REQUEST["iddocente"];

 		$cod = $_REQUEST["id"];
		$estado = $_REQUEST["estado"];
		/////////////////////////////////////////////////////////////////
	if($estado=="Si")
	{ //echo "entro?";
		if($ven->Actualizarestado($cod,"No"))
		  {		
					echo "<script languaje=javascript>\n"; 
	 				echo "location.href ='../mancabexamen.php?id=$iddoc';";					
	 				echo "</script>"; 							
		  }else{
		         echo "no se actualizo";
		        }	
	}else{
			if($ven->Actualizarestado($cod,"Si"))
		  		{		
					echo "<script languaje=javascript>\n"; 
	 				echo "location.href ='../mancabexamen.php?id=$iddoc';";					
	 				echo "</script>"; 							
		  		}else{
		         		echo "no se actualizo";
		        	}		
		 }			 		 
}
		 
?>